GroovyRuntimeException (Groovy 5.1.0)

Package: groovy.lang

## [Java] Class GroovyRuntimeException

- groovy.lang.GroovyRuntimeException

-     public class GroovyRuntimeException
      extends RuntimeException

  An exception thrown by the interpreter

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyRuntimeException()`
    `GroovyRuntimeException(String message)`
    `GroovyRuntimeException(String message, ASTNode node)`
    `GroovyRuntimeException(String message, Throwable cause)`
    `GroovyRuntimeException(Throwable t)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `getLocationText()`
    `` | `public String` | `getMessage()`
    `` | `public String` | `getMessageWithoutLocationText()`
    `` | `public ModuleNode` | `getModule()`
    `` | `public ASTNode` | `getNode()`
    `` | `public void` | `setModule(ModuleNode module)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public GroovyRuntimeException()

    - #### public GroovyRuntimeException(String message)

    - #### public GroovyRuntimeException(String message, ASTNode node)

    - #### public GroovyRuntimeException(String message, Throwable cause)

    - #### public GroovyRuntimeException(Throwable t)

  - ### Method Detail

    - #### protected String getLocationText()

    - #### @Override
      public String getMessage()

    - #### public String getMessageWithoutLocationText()

    - #### public ModuleNode getModule()

    - #### public ASTNode getNode()

    - #### public void setModule(ModuleNode module)